liquidnet:
  logfile:
    path: /data/logs
    name: support-eureka
    file-max-size: 200MB
    pattern-file: '%d{yyyy-MM-dd HH:mm:ss.SSS} [ %-5level] %thread [%logger{96}:%line] - %msg%n'
    pattern-console: '%d{yyyy-MM-dd HH:mm:ss.SSS} [ %-5level] %thread [%logger{96}:%line] - %msg%n'
    pattern-rolling-file-name: ${liquidnet.logfile.path}/${liquidnet.logfile.name}-%d{yyyy-MM-dd}.%i.log
    level: debug

server:
  port: 7001
  servlet:
    context-path: /eureka-server

spring:
  application:
    name: liquidnet-support-eureka
  security:
    user:
      name: user
      password: user123

eureka:
  instance:
    hostname: 172.17.121.158
    preferIpAddress: true
    health-check-url: http://localhost:${server.port}${server.servlet.context-path}/actuator/health
    status-page-url: http://localhost:${server.port}${server.servlet.context-path}/actuator/info
    home-page-url: http://localhost:${server.port}${server.servlet.context-path}
    metadata-map:
      configPath: ${server.servlet.context-path}
      management.context-path: ${server.servlet.context-path}
  server:
    enable-self-preservation: false  # 设为false，关闭自我保护 #自我保护设置 解决Eureka Server不踢出已关停的节点的问题,同时客户端也需要配置
    eviction-interval-timer-in-ms: 4000 # 清理间隔（单位毫秒，默认是60*1000）
  client:
    register-with-eureka: true #禁止自己当做服务注册
    fetch-registry: true       #屏蔽注册信息
    serviceUrl:
      defaultZone:  http://${spring.security.user.name}:${spring.security.user.password}@172.17.207.177:7001${server.servlet.context-path}/eureka,http://${spring.security.user.name}:${spring.security.user.password}@172.17.121.157:7001${server.servlet.context-path}/eureka
#  instance:
#    prefer-ip-address: true
#    instance-id: ${spring.application.name}:${server.port}
#     hostname: localhost

logging:
  file:
    name: ${liquidnet.logfile.path}/${liquidnet.logfile.name}.log
    max-size: 200MB
  pattern:
    file: '%d{yyyy-MM-dd HH:mm:ss.SSS} [ %-5level] %thread [%logger{96}:%line] - %msg%n'
    console: '%d{yyyy-MM-dd HH:mm:ss.SSS} [ %-5level] %thread [%logger{96}:%line] - %msg%n'
    rolling-file-name: ${liquidnet.logfile.path}/${liquidnet.logfile.name}-%d{yyyy-MM-dd}.%i.log
  level:
    root: info
    #以下是为指定包设置日志级别
    com.liquidnet: ${liquidnet.logfile.level}